Download it now!
Bug 124978 - Tip-of-the-day references should access local help when installed
Summary: Tip-of-the-day references should access local help when installed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Tip-Of-The-Day
  Show dependency treegraph
 
Reported: 2019-04-26 10:12 UTC by Heiko Tietze
Modified: 2019-05-13 09:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2019-04-26 10:12:55 UTC
Right now we have references like https://help.libreoffice.org/6.2/en-US/text/shared/guide/cmis-remote-files.html (attached to the tip itself). We should load local files, if available, and the correct language.

Some code pointer:

vnd.sun.star.help://fooo 
vnd.sun.star.help://swriter/start
Comment 2 Commit Notification 2019-05-07 14:37:21 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b2eae358eeaf5a3747a59e77eb07545253641197%5E%21

Resolves tdf#124978 - Tip-of-the-day references

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.